cURL
curl -X PATCH 'https://api.nuntly.com/messages/imsg_01kabn43yqyxn2bx4ve84mczd3' \
-H 'Authorization: Bearer apk_xxx' \
-H 'Content-Type: application/json' \
-d '{}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.messages.update('imsg_01kabn43yqyxn2bx4ve84mczd3', {});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.messages().update("imsg_01kabn43yqyxn2bx4ve84mczd3", UpdateMessageRequest.builder().build());import requests
url = "https://api.nuntly.com/messages/{messageId}"
payload = {
"addLabels": ["<string>"],
"removeLabels": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
{
"data": {
"id": "<string>"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Messages
Update Message
Update message labels. Only available for messages in user-created inboxes.
PATCH
/
messages
/
{messageId}
cURL
curl -X PATCH 'https://api.nuntly.com/messages/imsg_01kabn43yqyxn2bx4ve84mczd3' \
-H 'Authorization: Bearer apk_xxx' \
-H 'Content-Type: application/json' \
-d '{}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.messages.update('imsg_01kabn43yqyxn2bx4ve84mczd3', {});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.messages().update("imsg_01kabn43yqyxn2bx4ve84mczd3", UpdateMessageRequest.builder().build());import requests
url = "https://api.nuntly.com/messages/{messageId}"
payload = {
"addLabels": ["<string>"],
"removeLabels": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
{
"data": {
"id": "<string>"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Authorizations
Use an API key from https://nuntly.com/api-keys. Required on every endpoint.
Path Parameters
Body
application/json
Response
Successful response.
Show child attributes
Show child attributes
⌘I
